%exam_8_58
A=imread('tape.png');
A=rgb2gray(A);
g1=edge(A,'Roberts',0.04);             % 用Roberts算子进行边缘检测
g2=edge(A,'Sobel',0.04);             % 用Roberts算子进行边缘检测
g3=edge(A,'Prewitt',0.04);             % 用Roberts算子进行边缘检测
g4=edge(A,'LoG',0.04);             % 用Roberts算子进行边缘检测
g5=edge(A,'Canny',0.04);             % 用Roberts算子进行边缘检测
subplot(2,3,1);imshow(A);
xlabel('(a) 原图像','Fontsize',20);
subplot(2,3,2);imshow(g1);
xlabel('(b) Roberts','Fontsize',20);
subplot(2,3,3);imshow(g2);
xlabel('(c) Sobel','Fontsize',20);
subplot(2,3,4);imshow(g3);
xlabel('(d) Prewitt','Fontsize',20);
subplot(2,3,5);imshow(g4);
xlabel('(e) LoG','Fontsize',20);
subplot(2,3,6);imshow(g5);
xlabel('(f) Canny','Fontsize',20);


